Bug 1252780 - virsh net-start default fails in centos 6 for libvirt 1.2.18
virsh net-start default fails in centos 6 for libvirt 1.2.18
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Laine Stump
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 04:56 EDT by Mark Clarkson
Modified: 2015-08-28 16:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 16:48:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug log for net-start (360.57 KB, text/plain)
2015-08-25 07:15 EDT, Mark Clarkson
no flags Details

  None (edit)
Description Mark Clarkson 2015-08-12 04:56:56 EDT
Description of problem:

'virsh net-start default' fails in centos 6.6 and 6.7 for libvirt 1.2.18

libvirt 1.2.2 works without error.

Version-Release number of selected component (if applicable):

libvirt 1.2.18

How reproducible:

Every time

Steps to Reproduce:
1. virsh net-start default

Actual results:

error: Failed to start network default
error: error creating bridge interface virbr0: Operation not supported

Expected results:

Network default started

Additional info:

libvirt 1.2.2 and 1.2.18 were built from the source tarball with:

./configure
make rpm

Then installed in a vagrant machine 'geerlingguy/centos6' using virtualbox.
Comment 1 Michal Privoznik 2015-08-24 22:56:03 EDT
Can you please provide debug logs?

http://wiki.libvirt.org/page/DebugLogs
Comment 2 Mark Clarkson 2015-08-25 07:15:53 EDT
Created attachment 1066822 [details]
Debug log for net-start

Debug output after 'virsh net-start default'
Comment 3 Laine Stump 2015-08-26 01:31:14 EDT
I posted patches upstream to fix this:

https://www.redhat.com/archives/libvir-list/2015-August/msg00884.html
Comment 4 Mark Clarkson 2015-08-26 04:45:43 EDT
This is great, thanks!

I can confirm that the patches work on centos 6.7.

I built an rpm with the patch on COPR, available here:
https://copr.fedoraproject.org/coprs/mclarkson/libvirt-1.2.18/
Comment 5 Laine Stump 2015-08-28 16:48:04 EDT
Pushed upstream. Will be in libvirt-1.2.19:

commit 66dcb4093750aabd637607a1202cb9b9c15f1298
Author: Laine Stump <laine@laine.org>
Date:   Tue Aug 25 20:48:19 2015 -0400

    util: fallback to ioctl(SIOCBRADDBR) if netlink RTM_NEWLINK fails
    
commit 97d26e470d5be2f1178cedfea212c5983afd7b30
Author: Laine Stump <laine@laine.org>
Date:   Tue Aug 25 23:19:03 2015 -0400

    util: fallback to ioctl(SIOCBRDELBR) if netlink RTM_DELLINK fails

Note You need to log in before you can comment on or make changes to this bug.